Adds nodes before the character data

- « Dom\CharacterData::appendData

- Dom\CharacterData::deleteData »

- PHP Manual
- Dom\CharacterData
- Adds nodes before the character data

# Dom\CharacterData::before

(PHP 8 >= 8.4.0)

Dom\CharacterData::before — Adds nodes before the character data

### Description

public Dom\CharacterData::before(Dom\Node|string `...$nodes`): void

Adds the passed `nodes` before the character data.

### Parameters

`nodes`

  Nodes to be added before the node. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if the parent is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### Examples

Example #1 Dom\CharacterData::before() example

Adds nodes before the character data.

    <?php
    $doc = Dom\XMLDocument::createFromString("<container><![CDATA[world]]

    ></container>");
    $cdata = $doc->documentElement->firstChild;

    $cdata->before("hello", $doc->createElement("beautiful"));

    echo $doc->saveXML();
    ?>

The above example will output:

    <?xml version="1.0"?>
    <container>hello<beautiful/><![CDATA[world]]

    ></container>

### See Also

- Dom\ChildNode::before() - Adds nodes before the node
- Dom\CharacterData::after() - Adds nodes after the character data